> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cekura test profiles for an agent



## OpenAPI

````yaml get /api/v1/testing-lab/test-profiles
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/testing-lab/test-profiles:
    get:
      tags:
        - Testing Lab
      summary: List Cekura test profiles for an agent
      parameters:
        - schema:
            type: string
          required: true
          name: agentId
          in: query
      responses:
        '200':
          description: Test profiles retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CekuraTestProfilesListResponse'
        '400':
          description: agentId is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: Agent not found or not connected to Cekura
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    CekuraTestProfilesListResponse:
      type: object
      properties:
        count:
          type: number
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/CekuraTestProfile'
      required:
        - results
    CekuraTestProfile:
      type: object
      properties:
        id:
          type: number
        project:
          type: number
          nullable: true
        agent:
          type: number
        agent_name:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        information:
          type: object
          nullable: true
          additionalProperties:
            nullable: true
        created_by:
          type: number
          nullable: true
        last_updated_by:
          type: number
          nullable: true
        created_at:
          type: string
          nullable: true
        updated_at:
          type: string
          nullable: true
      required:
        - id
        - agent
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````